/*
   Lira Lira Oscar Joel
   definiciones para RMChartX
   Junio 28 del 2006
*/

/* Colors */
#define ColorDefault             0
#define ColorLightGoldenrod "&HFFEEDD82"
#define ColorRed            "&HFFFF0000"

/* Data Axis */
#define RMC_DATAAXISLEFT          1
#define RMC_DATAAXISRIGHT         2
#define RMC_DATAAXISTOP           3
#define RMC_DATAAXISBOTTOM        4
#define RMC_LABELAXISLEFT         5
#define RMC_LABELAXISRIGHT        6
#define RMC_LABELAXISTOP          7
#define RMC_LABELAXISBOTTOM       8
#define RMC_YAXISLEFT             9
#define RMC_YAXISRIGHT            10
#define RMC_XAXISTOP              11
#define RMC_XAXISBOTTOM           12

/* Line styles for data- and label axes */
#define RMC_LINESTYLESOLID        0
#define RMC_LINESTYLEDASH         1
#define RMC_LINESTYLEDOT          2
#define RMC_LINESTYLEDASHDOT      3
#define RMC_LINESTYLENONE         6

/* Text alignments for the label axis*/
#define RMC_TEXTCENTER            0
#define RMC_TEXTLEFT              1
#define RMC_TEXTRIGHT             2
#define RMC_TEXTDOWNWARD          3
#define RMC_TEXTUPWARD            4

/* 'Chart types */
#define RMC_BARSINGLE             1
#define RMC_BARGROUP              2
#define RMC_BARSTACKED            3
#define RMC_BARSTACKED100         4
#define RMC_FLOATINGBAR           5
#define RMC_FLOATINGBARGROUP      6
#define RMC_LINE                  21
#define RMC_AREA                  22
#define RMC_LINE_INDEXED          23
#define RMC_AREA_INDEXED          24
#define RMC_AREA_STACKED          25
#define RMC_AREA_STACKED100       26
#define RMC_VOLUMEBAR             31
#define RMC_HIGHLOW               41
#define RMC_GRIDLESS              51
#define RMC_XYCHART               70
#define RMC_GRIDBASED             10

/* ' BarSeries styles */
#define RMC_BAR_FLAT               1
#define RMC_BAR_FLAT_GRADIENT1     2
#define RMC_BAR_FLAT_GRADIENT2     3
#define RMC_BAR_HOVER              4
#define RMC_COLUMN_FLAT            5
#define RMC_BAR_3D                 6
#define RMC_BAR_3D_GRADIENT        7
#define RMC_COLUMN_3D              8
#define RMC_COLUMN_3D_GRADIENT     9
#define RMC_COLUMN_FLUTED          10

/* ' LineSeries styles */
#define RMC_LINE_FLAT                   21
#define RMC_LINE_FLAT_DOT               19
#define RMC_LINE_FLAT_DASH              18
#define RMC_LINE_FLAT_DASHDOT           17
#define RMC_LINE_FLAT_DASHDOTDOT        16
#define RMC_LINE_CABLE                  22
#define RMC_LINE_3D                     23
#define RMC_LINE_3D_GRADIENT            24
#define RMC_AREA_FLAT                   25
#define RMC_AREA_FLAT_GRADIENT_V        26
#define RMC_AREA_FLAT_GRADIENT_H        27
#define RMC_AREA_FLAT_GRADIENT_C        28
#define RMC_AREA_3D                     29
#define RMC_AREA_3D_GRADIENT_V          30
#define RMC_AREA_3D_GRADIENT_H          31
#define RMC_AREA_3D_GRADIENT_C          32
#define RMC_LINE_FLAT_SHADOW            33
#define RMC_LINE_CABLE_SHADOW           34
#define RMC_LINE_SYMBOLONLY             35


/*' Hatchmodes*/
#define RMC_HATCHBRUSH_OFF           0
#define RMC_HATCHBRUSH_ON            1
#define RMC_HATCHBRUSH_ONPRINTING    2

/*' Additional styles for line series*/
#define RMC_LSTYLE_LINE             1
#define RMC_LSTYLE_SPLINE           2
#define RMC_LSTYLE_STAIR            3
#define RMC_LSTYLE_LINE_AREA        4 //' Draws a line and a transparent area
#define RMC_LSTYLE_SPLINE_AREA      5 //' Draws a spline and a transparent area
#define RMC_LSTYLE_STAIR_AREA       6 //' Draws a stair and a transparent area

// ' Symbols for line series
// ' Symbols
#define RMC_SYMBOL_NONE              0
#define RMC_SYMBOL_BULLET            21
#define RMC_SYMBOL_ROUND             1
#define RMC_SYMBOL_DIAMOND           2
#define RMC_SYMBOL_SQUARE            3
#define RMC_SYMBOL_STAR              4
#define RMC_SYMBOL_ARROW_DOWN        5
#define RMC_SYMBOL_ARROW_UP          6
#define RMC_SYMBOL_POINT             7
#define RMC_SYMBOL_CIRCLE            8
#define RMC_SYMBOL_RECTANGLE         9
#define RMC_SYMBOL_CROSS             10
#define RMC_SYMBOL_BULLET_SMALL      22
#define RMC_SYMBOL_ROUND_SMALL       11
#define RMC_SYMBOL_DIAMOND_SMALL     12
#define RMC_SYMBOL_SQUARE_SMALL      13
#define RMC_SYMBOL_STAR_SMALL        14
#define RMC_SYMBOL_ARROW_DOWN_SMALL  15
#define RMC_SYMBOL_ARROW_UP_SMALL    16
#define RMC_SYMBOL_POINT_SMALL       17
#define RMC_SYMBOL_CIRCLE_SMALL      18
#define RMC_SYMBOL_RECTANGLE_SMALL   19
#define RMC_SYMBOL_CROSS_SMALL       20
