/*----------------------------------------------------------------------------
 RMC4FWH.PRG - Rmchart function calls for FWH use with Rmchart.dll

 Link Rmchart.lib and this prg into your app. (But see readme.txt first!!!)

 In your main prg startup, activate the DLL with...
    
     LOCAL hRmcLib := 0    //  (be sure to #include "Rmchart.ch" at top of prg)

     hRmcLib  := LoadLib32( "Rmchart.dll" )

 Then in your exit proc, unload it with...

     FreeLib32( hRmcLib )

 Remember to distribute Rmchart.DLL with your app.

 Based on BCX code by Michael Henning.
//----------------------------------------------------------------------------
*/

#include "Fivewin.ch"

#DEFINE LPLONG PTR // Needed because FWH's DLL32 uses PTR instead of LPLONG

STATIC hRmcDll

FUNCTION SETHandle(hRmc)
  hRmcDll := hRmc
RETURN nil


/*

Original BCX memvar declarations (not needed by DLL32) are shown here. You can
use these as a guide to declaring these in your prg's from which you will
invoke the DLL32 functions here, and pass on to them as parameters.

TYPE tRMC_INFO
    nXPos        AS LONG     
    nYPos        AS LONG
    nXMove       AS LONG
    nYMove       AS LONG 
    nRegionIndex AS LONG     
    nRLeft       AS LONG
    nRTop        AS LONG
    nRRight      AS LONG
    nRBottom     AS LONG
    nSeriesIndex AS LONG     
    nDataIndex   AS LONG     
    nChartType   AS LONG
    nSLeft       AS LONG     
    nSTop        AS LONG     
    nSRight      AS LONG     
    nSBottom     AS LONG     
    nSTop2       AS LONG     
    nSBottom2    AS LONG     
    nGLeft       AS LONG     
    nGTop        AS LONG     
    nGRight      AS LONG     
    nGBottom     AS LONG     
    nGCol        AS LONG     
    nGRow        AS LONG     
    nData1       AS DOUBLE   
    nData2       AS DOUBLE   
    nData3       AS DOUBLE   
    nData4       AS DOUBLE   
    nVirtData1   AS DOUBLE   
    nVirtData2   AS DOUBLE   
    nVirtData3   AS DOUBLE   
    nVirtData4   AS DOUBLE   
END TYPE    

// Type declarations for the short function calls 
// (those with an 'I' at the end of the name, like RMC_CreateChartI())

// ***** RMC_AddBarSeriesI() *****
TYPE tRMC_BARSERIES
    nType               AS LONG
    nStyle              AS LONG
    nIsLucent           AS LONG
    nColor              AS LONG
    nIsHorizontal       AS LONG
    nWhichDataAxis      AS LONG
    nValueLabelOn       AS LONG
    nPointsPerColumn    AS LONG
    nHatchMode          AS LONG
END TYPE
// *****************************

// ***** RMC_AddCaptionI() *****
TYPE tRMC_CAPTION
    nBackColor  AS LONG
    nTextColor  AS LONG         
    nFontSize   AS LONG         
    nIsBold     AS LONG         
    sText[200]  AS CHAR
END TYPE    
// *****************************

// ***** RMC_AddDataAxisI() *****
TYPE tRMC_DATAAXIS
    nAlignment      AS LONG
    nMinValue       AS DOUBLE
    nMaxValue       AS DOUBLE
    nTickCount      AS LONG
    nFontsize       AS LONG
    nTextColor      AS LONG
    nLineColor      AS LONG
    nLineStyle      AS LONG
    nDecimalDigits  AS LONG
    nLabelAlignment AS LONG
    sUnit[16]       AS CHAR
    sText[100]      AS CHAR
    sLabels[500]      AS CHAR
END TYPE    
// *********************************

// ***** RMC_AddGridI() *****
TYPE tRMC_GRID
    nGridBackColor AS LONG
    nAsGradient    AS LONG
    nBicolor       AS LONG
    nLeft          AS LONG
    nTop           AS LONG
    nWidth         AS LONG
    nHeight        AS LONG
END TYPE    
// ************************

// RMC_AddGridlessSeries() *****
TYPE tRMC_GRIDLESSSERIES
    nStyle              AS LONG
    nPieAlignment       AS LONG
    nExplodemode        AS LONG
    nIsLucent           AS LONG
    nValueLabelOn       AS LONG
    nHatchMode          AS LONG
    nStartAngle         AS LONG
END TYPE
// *****************************

// ***** RMC_AddLabelAxisI() *****
TYPE tRMC_LABELAXIS    
    nCount          AS LONG
    nTickCount      AS LONG
    nAlignment      AS LONG
    nFontsize       AS LONG
    nTextColor      AS LONG
    nTextAlignment  AS LONG
    nLineColor      AS LONG
    nLineStyle      AS LONG
    sText[100]      AS CHAR
END TYPE    
// *************************

// ***** RMC_AddLegendI() *****
TYPE tRMC_LEGEND
    nLegendAlign     AS LONG
    nLegendBackColor AS LONG
    nLegendStyle     AS LONG
    nLegendTextColor AS LONG
    nLegendFontSize  AS LONG
    nLegendIsBold    AS LONG
END TYPE
//***************************

// ***** RMC_AddLineSeriesI(), RMC_AddLineSeries2I() *****
TYPE tRMC_LINESERIES
    nType               AS LONG
    nStyle              AS LONG
    nLineStyle          AS LONG
    nIsLucent           AS LONG
    nColor              AS LONG                          
    nSeriesSymbol       AS LONG
    nWhichDataAxis      AS LONG
    nValueLabelOn       AS LONG
    nHatchMode          AS LONG    
END TYPE    
// *********************************

// ***** RMC_AddRegionI: *****
TYPE tRMC_REGION
    nTop        AS LONG 
    nLeft       AS LONG
    nWidth      AS LONG
    nHeight     AS LONG
    sFooter[200] AS CHAR
    nShowBorder AS LONG
END TYPE    
// *****************************

// ***** RMC_AddXAxisI(), RMC_AddYAxisI() *****
TYPE tRMC_XYAXIS
    nAlignment      AS LONG
    nMinValue       AS DOUBLE
    nMaxValue       AS DOUBLE
    nTickCount      AS LONG
    nFontsize       AS LONG
    nTextColor      AS LONG
    nLineColor      AS LONG
    nLineStyle      AS LONG
    nDecimalDigits  AS LONG
    nLabelAlignment AS LONG
    sUnit[16]       AS CHAR
    sText[100]      AS CHAR
    sLabels[500]    AS CHAR
END TYPE    
// *********************************

// ***** RMC_CreateChartI: *****
TYPE tRMC_CHART
    nTop        AS LONG 
    nLeft       AS LONG
    nWidth      AS LONG
    nHeight     AS LONG
    nBackColor  AS LONG
    nCtrlStyle  AS LONG
    nExportOnly AS LONG
    sBgImage[100] AS CHAR
    sFontName[50] AS CHAR
    nToolTipWidth AS LONG
    nBitmapBKColor  AS LONG
END TYPE    
// *********************

// ***** RMC_AddXYSeriesI() *****
TYPE tRMC_XYSERIES
    nColor              AS LONG                          
    nStyle              AS LONG
    nLineStyle          AS LONG
    nSeriesSymbol       AS LONG
    nWhichXAxis         AS LONG
    nWhichYAxis         AS LONG
    nValueLabelOn       AS LONG    
END TYPE    
// *********************************

*/


// Functions
/*  // An example of Henning's original BCX code from RMChartBCX.inc ....
DECLARE FUNCTION RMC_ADDBARSERIES LIB "RMCHART.DLL" ( _
                 nCtrlId AS LONG, _
                 nRegion AS LONG, _
                 @nFirstDataValue AS DOUBLE PTR, _
                 nDataValuesCount AS LONG, _                                          
                 nType  AS LONG, _ 
                 nStyle AS LONG, _ 
                 nIsLucent AS LONG, _
                 nColor AS LONG, _
                 nIsHorizontal AS LONG, _
                 nWhichDataAxis AS LONG, _
                 nValueLabelOn AS LONG, _
                 nPointsPerColumn AS LONG, _
                 nHatchMode AS LONG _
                 ) AS LONG       

*/

// The above BSC function translated by Seiler to this FWH code...

// (Note: apparently function calls are case-sensitive, and for this DLL
//        they must be all-caps or else they won't work.)
DLL32 FUNCTION RMC_ADDBARSERIES(  ;         // RMC_AddBarSeries 
                 nCtrlId AS LONG, ;
                 nRegion AS LONG, ;
                 @nFirstDataValue AS PTR, ;
                 nDataValuesCount AS LONG, ;
                 nType  AS LONG,  ;
                 nStyle AS LONG, ;
                 nIsLucent AS LONG, ;
                 nColor AS LONG, ;
                 nIsHorizontal AS LONG, ;
                 nWhichDataAxis AS LONG, ;
                 nValueLabelOn AS LONG, ;
                 nPointsPerColumn AS LONG, ;
                 nHatchMode AS LONG ) AS LONG PASCAL LIB hRmcDll       

DLL32 FUNCTION RMC_ADDCAPTION( ;            // RMC_AddCaption
                 nCtrlID AS LONG, ;
                 nRegion AS LONG, ; 
                 sCaption AS LPSTR, ;
                 nTitelBackColor AS LONG, ;
                 nTitelTextColor AS LONG, ;
                 nTitelFontSize AS LONG, ;
                 nTitelIsBold AS LONG ;
                 ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_ADDDATAAXIS( ;           // RMC_AddDataAxis
                 nCtrlID AS LONG, ;
                 nRegion AS LONG, ;
                 nAlignment AS LONG, ;
                 nMinValue AS DOUBLE, ;
                 nMaxValue AS DOUBLE, ;
                 nTickCount AS LONG, ;
                 nFontsize AS LONG, ;
                 nTextColor AS LONG, ;
                 nLineColor AS LONG, ;
                 nLineStyle AS LONG, ;
                 nNoDecimalPoint AS LONG, ;
                 sUnit AS LPSTR, ;
                 sText AS LPSTR, ;
                 sLabels AS LPSTR, ;
		 @nLabelAlignment AS LPLONG ;	
                 ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_ADDGRID( ;               // RMC_AddGrid
                 nCtrlID AS LONG, ;
                 nRegion AS LONG, ;
                 nBackColor AS LONG, ;
                 nAsGradient AS LONG, ;
                 nLeft AS LONG, ;
                 nTop AS LONG, ;
                 nWidth AS LONG, ;
                 nHeight AS LONG, ;
                 nBiColor AS LONG ;
                 ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_ADDGRIDLESSSERIES( ;     // RMC_AddGridlessSeries
                 nCtrlID AS LONG, ;                                       
                 nRegion AS LONG, ;
                 @nFirstDataValue AS PTR, ;  //DOUBLE 
                 nDataValuesCount AS LONG, ;                  
                 @nFirstColorElement AS PTR, ; //LONG 
                 nColorElementsCount AS LONG, ;
                 nStyle  AS LONG, ;         
                 nPieAlignment  AS LONG, ;         
                 nExplodemode AS LONG, ; 
                 nIsLucent AS LONG, ;
                 nValueLabelOn AS LONG, ;
                 nHatchMode AS LONG, ;
                 nStartAngle AS LONG ;
                 ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_ADDHIGHLOWSERIES( ;      // RMC_AddHighLowSeries
                 nCtrlID AS LONG, ;                      
                 nRegion AS LONG, ;
                 @nFirstDataValue AS PTR, ;  // DOUBLE 
                 nDataValuesCount AS LONG, ;                  
                 @nFirstPPCValue AS PTR, ;  // LONG 
                 nPPCValuesCount AS LONG, ;
                 nStyle AS LONG, ;
                 nWhichDataAxis AS LONG, ;
                 nColorLow AS LONG, ;
                 nColorHigh AS LONG ;                 
                 ) AS LONG PASCAL LIB hRmcDll 
                          
DLL32 FUNCTION RMC_ADDLABELAXIS( ;          // RMC_AddLabelAxis
                 nCtrlID AS LONG, ;
                 nRegion AS LONG, ;
                 sLabel AS LPSTR, ;     
                 nCount AS LONG, ;
                 nTickCount AS LONG, ;
                 nAlignment AS LONG, ;
                 nFontsize AS LONG, ;
                 nTextColor AS LONG, ;
                 nTextAlignment AS LONG, ;
                 nLineColor AS LONG, ;
                 nLineStyle AS LONG, ;
                 sText AS LPSTR ;                 
                 ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_ADDLEGEND( ;             // RMC_AddLegend
                 nCtrlID AS LONG, ;
                 nRegion AS LONG, ;
                 sLegendText AS LPSTR, ;    
                 nLegendAlign AS LONG, ;
                 nLegendBackColor AS LONG, ;
                 nLegendStyle AS LONG, ;                 
                 nLegendTextColor AS LONG, ;
                 nLegendFontSize AS LONG, ;
                 nLegendIsBold AS LONG ;
                 ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_ADDLINESERIES( ;         // RMC_AddLineSeries
                 nCtrlID AS LONG, ;                      
                 nRegion AS LONG, ;
                 @nFirstDataValue AS PTR, ;  // DOUBLE 
                 nDataValuesCount AS LONG, ;
                 @nFirstPPCValue AS PTR, ;   // LONG 
                 nPPCValuesCount AS LONG, ;
                 nChartType  AS LONG, ;         
                 nStyle AS LONG, ; 
                 nLineStyle AS LONG, ; 
                 nIsLucent AS LONG, ;
                 nColor AS LONG, ;                          
                 nChartSymbol AS LONG, ;    
                 nWhichDataAxis AS LONG, ;
                 nValueLabelOn AS LONG, ;
                 nHatchMode AS LONG ;
                 ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_ADDREGION( ;             // RMC_AddRegion
                 nCtrlID AS LONG, ;
                 nLeft AS LONG, ;
                 nTop  AS LONG, ;
                 nWidth AS LONG, ;
                 nHeight AS LONG, ;
                 sFooter AS LPSTR, ;
                 nShowBorder AS LONG ;
                 ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_ADDTOOLTIPS( ;   // RMC_AddToolTips
                 nCtrlID AS LONG, ;
                 hWnd AS LONG, ;
                 nToolTipWidth AS LONG ;
                 ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_ADDVOLUMEBARSERIES( ;    // RMC_AddVolumeBarSeries
                 nCtrlID AS LONG, ;                      
                 nRegion AS LONG, ;
                 @nFirstDataValue AS PTR, ;  // DOUBLE 
                 nDataValuesCount AS LONG, ;
                 @nFirstPPCValue AS PTR, ;  // LONG 
                 nPPCValuesCount AS LONG, ;
                 nColor AS LONG, ;
                 nWhichDataAxis AS LONG ;
                 ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_ADDXAXIS( ;              // RMC_AddXAxis
                    nCtrlID AS LONG, ;
                    nRegion AS LONG, ;
                    nAlignment AS LONG, ;
                    nMinValue AS DOUBLE, ;
                    nMaxValue AS DOUBLE, ;
                    nTickCount AS LONG, ;
                    nFontsize AS LONG, ;
                    nTextColor AS LONG, ;
                    nLineColor AS LONG, ;
                    nLineStyle AS LONG, ;
                    nNoDecimalPoint AS LONG, ;
                    sUnit      AS LPSTR, ;
                    sText AS LPSTR, ;
                    sLabels as LPSTR, ;
                    nLabelAlignment AS LONG ;
                    ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_ADDYAXIS( ;              // RMC_AddYAxis
                    nCtrlID AS LONG, ;
                    nRegion AS LONG, ;
                    nAlignment AS LONG, ;
                    nMinValue AS DOUBLE, ;
                    nMaxValue AS DOUBLE, ;
                    nTickCount AS LONG, ;
                    nFontsize AS LONG, ;
                    nTextColor AS LONG, ;
                    nLineColor AS LONG, ;
                    nLineStyle AS LONG, ;
                    nNoDecimalPoint AS LONG, ;
                    sUnit      AS LPSTR, ;
                    sText AS LPSTR, ;
                    sLabels as LPSTR, ;
                    nLabelAlignment AS LONG ;
                    ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_ADDXYSERIES( ;           // RMC_AddXYSeries
                 nCtrlID AS LONG, ;                      
                 nRegion AS LONG, ;
                 @nFirstXDataValue AS PTR, ;  // DOUBLE 
                 nDataXValuesCount AS LONG, ;                 
                 @nFirstYDataValue AS PTR, ;  // DOUBLE 
                 nDataYValuesCount AS LONG, ;                  
                 nColor AS LONG, ;                          
                 nStyle AS LONG, ; 
                 nLineStyle AS LONG, ; 
                 nSymbolStyle AS LONG, ;    
                 nWhichXAxis AS LONG, ; 
                 nWhichYAxis AS LONG, ; 
                 nValueLabelOn AS LONG ;
                 ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_CALCAVERAGE( ;           // RMC_CalcAverage
                   nCtrlId AS LONG, ;
                   nRegion AS LONG, ;
                   nSeriesIndex AS LONG, ;                   
                   @nAverage AS PTR, ;   // DOUBLE 
                   @nXStart AS PTR, ;   // LONG 
                   @nYStart AS PTR, ;   // LONG 
                   @nXEnd AS PTR, ;      // LONG 
                   @nYEnd AS PTR, ;     // LONG 
                   sHighLowIndex AS LPSTR ;
                   ) AS LONG PASCAL LIB hRmcDll 


DLL32 FUNCTION RMC_CALCTREND( ;             // RMC_CalcTrend
                   nCtrlId AS LONG, ;
                   nRegion AS LONG, ;
                   nSeriesIndex AS LONG, ;                   
                   @nFirstValue AS PTR, ;  // DOUBLE 
                   @nLastValue AS PTR, ;  // DOUBLE 
                   @nXStart AS PTR, ;    // LONG 
                   @nYStart AS PTR, ;   // LONG 
                   @nXEnd AS PTR, ;      // LONG 
                   @nYEnd AS PTR, ;      // LONG 
                   sHighLowIndex AS LPSTR ;
                   ) AS LONG PASCAL LIB hRmcDll 
                   
DLL32 FUNCTION RMC_COBOX( ;                 // RMC_COBox
                    nCtrlID AS LONG, ;
                    nCOIndex AS LONG, ;
                    nLeft AS LONG, ;
                    nTop AS LONG, ;
                    nWidth AS LONG, ;
                    nHeight AS LONG, ;
                    nStyle AS LONG, ;
                    nBGColor AS LONG, ;
                    nLineColor AS LONG, ;
                    nTransparency AS LONG ;
                    ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_COCIRCLE( ;              // RMC_COCircle
                    nCtrlID AS LONG, ;
                    nCOIndex AS LONG, ;
                    nXCenter AS LONG, ;
                    nYCenter AS LONG, ;
                    nWidth AS LONG, ;
                    nStyle AS LONG, ;
                    nBGColor AS LONG, ;
                    nLineColor AS LONG, ;
                    nTransparency AS LONG ;
                    ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_CODASH( ;                // RMC_CODash
                    nCtrlId AS LONG, ;
                    nCOIndex AS LONG, ;
                    nXStart AS LONG, ;
                    nYStart AS LONG, ;
                    nXEnd AS LONG, ;
                    nYEnd AS LONG, ;
                    nStyle AS LONG, ;
                    nColor AS LONG, ;
                    nAsSpline AS LONG, ;
                    nLineWidth AS LONG, ;
                    nStartCap AS LONG, ;
                    nEndCap AS LONG ;
                    ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_CODELETE( ;              // RMC_CODelete
                    nCtrlId AS LONG, ;
                    nIndex AS LONG ;
                    ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_COGETTEXTWH( ;           // RMC_COGetTextWH
                    nCtrlID AS LONG, ;
                    nIndex AS LONG, ;
               	    @nWH AS PTR ;    // LONG 
                    ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_COIMAGE( ;               // RMC_COImage
                    nCtrlID AS LONG, ;
                    nCOIndex AS LONG, ;
                    sImagePath AS LPSTR, ;
                    nLeft AS LONG, ;
                    nTop AS LONG, ;
                    nWidth AS LONG, ;
                    nHeight AS LONG ;
                    ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_COLINE( ;                // RMC_COLine
                    nCtrlId AS LONG, ;
                    nCOIndex AS LONG, ;
                    @nXPoints AS PTR, ;   // LONG 
                    @nYPoints AS PTR, ;    // LONG 
                    nPointsCount AS LONG, ;                         
                    nStyle AS LONG, ;
                    nColor AS LONG, ;
                    nAsSpline AS LONG, ;
                    nLineWidth AS LONG, ;
                    nStartCap AS LONG, ;
                    nEndCap AS LONG ;
                    ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_COPOLYGON( ;             // RMC_COPolygon
                    nCtrlId AS LONG, ;
                    nCOIndex AS LONG, ;
                    @nXPoints AS PTR, ;    // LONG 
                    @nYPoints AS PTR, ;    // LONG 
                    nPointsCount AS LONG, ;                         
                    nBGColor AS LONG, ;
                    nLineColor AS LONG, ;
                    nAsSpline AS LONG, ;                    
                    nTransparency AS LONG ;
                    ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_COSYMBOL( ;              // RMC_COSymbol
                    nCtrlID AS LONG, ;
                    nCOIndex AS LONG, ;
                    nXCenter AS LONG, ;
                    nYCenter AS LONG, ;
                    nStyle AS LONG, ;
                    nColor AS LONG ;
                    ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_COTEXT( ;                // RMC_COText
                    nCtrlID AS LONG, ;
                    nCOIndex AS LONG, ;
                    sText AS LPSTR, ;
                    nLeft AS LONG, ;
                    nTop AS LONG, ;
                    nWidth AS LONG, ;
                    nHeight AS LONG, ;
                    nStyle AS LONG, ;
                    nBGColor AS LONG, ;
                    nLineColor AS LONG, ;
                    nTransparency AS LONG, ;
                    nLineAlignment AS LONG, ;
                    nTextColor AS LONG, ;
                    sTextProperties AS LPSTR ;
                    ) AS LONG PASCAL LIB hRmcDll 
                    
DLL32 FUNCTION RMC_COVISIBLE( ;             // RMC_COVisible
                    nCtrlId AS LONG, ;
                    nIndex AS LONG, ;
                    Hide AS LONG ;
                    ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_CREATECHART( ;           // RMC_CreateChart
                 nParentHndl AS LONG, ;     // HWND
                 nCtrlId AS LONG, ;
                 nX AS LONG, ;
                 nY AS LONG, ;
                 nWidth AS LONG, ;
                 nHeight AS LONG, ;
                 nBackColor AS LONG, ;
                 nCtrlStyle AS LONG, ;
                 nExportOnly AS LONG, ;
                 sBgImage AS LPSTR, ;
                 sFontName AS LPSTR, ;
                 nToolTipWidth AS LONG, ;
                 nBitmapBKColor AS LONG ;
                 ) AS LONG  PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_CREATECHARTFROMFILE( ;   // RMC_CreateChartFromFile
                 nParentHndl AS LONG, ;     // HWND
                 nCtrlId AS LONG, ;
                 nX AS LONG, ;
                 nY AS LONG, ;
                 nExportOnly AS LONG, ;
                 sRMCFile AS LPSTR ;
                 ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_CREATECHARTONDC( ;       // RMC_CreateChartOnDC
                 nParentDC AS LONG, ;
                 nCtrlId AS LONG, ;
                 nX AS LONG, ;
                 nY AS LONG, ;
                 nWidth AS LONG, ;
                 nHeight AS LONG, ;
                 nBackColor AS LONG, ;
                 nCtrlStyle AS LONG, ;
                 nExportOnly AS LONG, ;                 
                 sBgImage AS LPSTR, ;
                 sFontName AS LPSTR, ;                 
                 nBitmapBKColor AS LONG ;
                 ) AS LONG  PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_CREATECHARTFROMFILEONDC(; // RMC_CreateChartFromFileOnDC
                 nParentDC AS LONG, ;
                 nCtrlId AS LONG, ;
                 nX AS LONG, ;
                 nY AS LONG, ;
                 nExportOnly AS LONG, ;
                 sRMCFile AS LPSTR ;
                 ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_DELETECHART( ;           // RMC_DeleteChart
                 nCtrlID AS LONG ;
                 ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_DRAW( ;                  // RMC_Draw
                 nCtrlID AS LONG ;
                 ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_DRAW2CLIPBOARD( ;        // RMC_Draw2Clipboard
                 nCtrlID AS LONG, ;
                 nType AS LONG ;
                 ) AS LONG PASCAL LIB hRmcDll 
                 
DLL32 FUNCTION RMC_DRAW2FILE( ;             // RMC_Draw2File
                 nCtrlID AS LONG, ;
                 sFileName AS LPSTR, ;
                 nWidth AS LONG, ;
                 nHeight AS LONG, ;
                 nJPGQualityLevel AS LONG ;
                 ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_DRAW2PRINTER( ;          // RMC_Draw2Printer
                 nCtrlID AS LONG, ;
                 nPrinterDC AS HDC, ;
                 nLeft AS LONG, ;
                 nTop AS LONG, ;
                 nWidth AS LONG, ;
                 nHeight AS LONG, ;
                 nType AS LONG ;
                 ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_GETCHARTSIZEFROMFILE( ;  // RMC_GetChartsizeFromFile
                 sRMCFile AS LPSTR, ;
                 @nWidth AS PTR, ;  // LONG 
                 @nHeight AS PTR ;  // LONG 
                 ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_GETIMAGESIZEFROMFILE( ;  // RMC_GetImageSizeFromFile
                 sImagePath AS LPSTR, ;
                 @nWidth AS PTR, ;  // LONG 
                 @nHeight AS PTR ;  // LONG 
                 ) AS LONG PASCAL LIB hRmcDll 

/* // Need solution for passing arrays before can activate these...
DLL32 FUNCTION RMC_GETINFO( ;               // RMC_GetINFO
                 nCtrlID AS LONG, ;
                 @TINFO AS tRMC_INFO PTR, ;
                 nRegion AS LONG, ;
                 nSeries AS LONG, ; 
                 nIndex AS LONG ;
                 ) AS LONG PASCAL LIB hRmcDll 
                 
DLL32 FUNCTION RMC_GETINFOXY( ;             // RMC_GetINFOXY
                 nCtrlID AS LONG, ;
                 @TINFO AS tRMC_INFO PTR, ;
                 nX AS LONG, ;
                 nY AS LONG ;
                 ) AS LONG PASCAL LIB hRmcDll 
*/

DLL32 FUNCTION RMC_GETCTRLLEFT( ;           // RMC_GetCtrlLeft  
                 nCtrlID AS LONG ;
                 ) AS LONG PASCAL LIB hRmcDll 
                 
DLL32 FUNCTION RMC_GETCTRLTOP( ;            // RMC_GetCtrlTop  
                 nCtrlID AS LONG ;
                 ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_GETCTRLWIDTH( ;          // RMC_GetCtrlWidth  
                 nCtrlID AS LONG ;
                 ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_GETCTRLHEIGHT( ;         // RMC_GetCtrlHeight  
                 nCtrlID AS LONG ;
                 ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_GETDATA( ;               // RMC_GetData
                 nCtrlID AS LONG, ;
                 nRegion AS LONG, ;
                 nSeriesIndex AS LONG, ;
                 nDataIndex AS LONG, ;
                 @nData AS PTR, ;   // DOUBLE 
                 nYData AS LONG ;
                 ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_GETDATACOUNT( ;          // RMC_GetDataCount
                 nCtrlID AS LONG, ;
                 nRegion AS LONG, ;
                 nSeriesIndex AS LONG, ;
                 @nDataCount AS PTR ;  // LONG 
                 ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_GETDATALOCATION( ;       // RMC_GetDataLocation
                 nCtrlID AS LONG, ;
                 nRegion AS LONG, ;
                 nSeriesIndex AS LONG, ;
                 nData AS DOUBLE, ;
                 @nXYPos AS PTR ;   // LONG 
                 ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_GETDATALOCATIONXY( ;     // RMC_GetDataLocationXY
                 nCtrlID AS LONG, ;
                 nRegion AS LONG, ;
                 nSeriesIndex AS LONG, ;
                 nDataX AS DOUBLE, ;
                 nDataY AS DOUBLE, ;
                 @nXPos AS PTR, ;    // LONG 
                 @nYPos AS PTR ;     // LONG 
                 ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_GETVERSION() AS DOUBLE PASCAL LIB hRmcDll

DLL32 FUNCTION RMC_GetGridLocation( ;       // RMC_GetVersion
                 nCtrlID AS LONG, ;
                 nRegion AS LONG, ;
                 @nLeft AS PTR, ;    // LONG 
                 @nTop AS PTR, ;     // LONG 
                 @nRight AS PTR, ;   // LONG 
                 @nBottom AS PTR ;   // LONG 
                 ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_MAGNIFIER( ;             // RMC_Magnifier
                 nCtrlID AS LONG, ;
                 nEnable AS LONG, ;
                 nSize AS LONG, ;
                 nColor AS LONG, ;
                 nLineColor AS LONG, ;
                 nTransparency AS LONG ;
                 ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_PAINT(nCtrlID AS LONG) ; // RMC_Paint
                   AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_READDATAFROMFILE( ;      // RMC_ReadDataFromFile
                 @aData AS DOUBLE, ;
                 @sFileName AS LPSTR, ;
                 @sLines AS LPSTR, ;
                 @sFields AS LPSTR, ;
                 @sFieldDelimiter AS LPSTR, ;
                 nReverse AS LONG ;
                 ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_READSTRINGFROMFILE( ;    // RMC_ReadStringFromFile
                 @sValue AS LPSTR, ;  // an array!! sValue[]
                 @sFileName AS LPSTR, ;
                 @sLines AS LPSTR, ;
                 @sFields AS LPSTR, ;
                 @sFieldDelimiter AS LPSTR, ;
                 nReverse AS LONG ;
                 ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_RESET( ;   // RMC_Reset
                 nCtrlID AS LONG ;
                 ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SAVEBMP( ;               // RMC_SaveBMP
                 hBmp AS LONG, ; 
                 @sFileName AS LPSTR ;
                 ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETCAPTIONTEXT( ;        // RMC_SetCaptionText
                 nCtrlID AS LONG, ;
                 nRegion AS LONG, ;
                 sText AS LPSTR ;
                 ) AS LONG PASCAL LIB hRmcDll 
                 
DLL32 FUNCTION RMC_SETCAPTIONBGCOLOR( ;     // RMC_SetCaptionBGColor
                 nCtrlID AS LONG, ;
                 nRegion AS LONG, ;
                 nColor AS LONG ;
                 ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETCAPTIONTEXTCOLOR( ;   // RMC_SetCaptionTextColor
                 nCtrlID AS LONG, ;
                 nRegion AS LONG, ;
                 nColor AS LONG ;
                 ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETCAPTIONFONTSIZE( ;    // RMC_SetCaptionFontSize
                 nCtrlID AS LONG, ;
                 nRegion AS LONG, ;
                 nFontSize AS LONG ;
                 ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETCAPTIONFONTBOLD( ;    // RMC_SetCaptionFontBold
                 nCtrlID AS LONG, ;
                 nRegion AS LONG, ;
                 nFontBold AS LONG ;
                 ) AS LONG PASCAL LIB hRmcDll 
                 
DLL32 FUNCTION RMC_SETCTRLBGCOLOR( ;        // RMC_SetCtrlBGColor
                 nCtrlId AS LONG, ;
                 nColor AS LONG ;
                 ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETCTRLBGIMAGE( ;        // RMC_SetCtrlBGImage
                 nCtrlId AS LONG, ;
                 sBgImage AS LPSTR ;
                 ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETCTRLFONT( ;           // RMC_SetCtrlFont
                 nCtrlId AS LONG, ;
                 sFontName AS LPSTR ;
                 ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETCTRLPOS( ;            // RMC_SetCtrlPos
                 nCtrlID AS LONG, ;
                 nLeft AS LONG, ;
                 nTop AS LONG, ;
                 nRelative AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETCTRLSIZE( ;           // RMC_SetCtrlSize
                 nCtrlID AS LONG, ;
                 nWidth AS LONG, ;
                 nHeight AS LONG, ;
                 nRelative AS LONG, ;
	         nRecalcMode AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETCTRLSTYLE( ;          // RMC_SetCtrlStyle
                 nCtrlId AS LONG, ;
                 nStyle AS LONG ;
                 ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETCUSTOMTOOLTIPTEXT( ;  // RMC_SetCustomToolTipText
                  nCtrlId AS LONG, ;
                  nRegion AS LONG, ;
                  nSeries AS LONG, ;
                  nDataIndex AS LONG, ;
                  sText AS LPSTR ;
                  ) AS LONG PASCAL LIB hRmcDll 
                  
DLL32 FUNCTION RMC_SETDAXALIGNMENT( ;       // RMC_SetDAXAlignment
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  nAlignment AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETDAXDECIMALDIGITS( ;   // RMC_SetDAXDecimalDigits
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  nDecimalDigits AS LONG, ;
                  nAxisIndex AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETDAXFONTSIZE( ;        // RMC_SetDAXFontSize
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  nFontSize AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETDAXLINECOLOR( ;       // RMC_SetDAXLineColor
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  nColor AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETDAXLINESTYLE( ;       // RMC_SetDAXLineStyle
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  nStyle AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 
                  
DLL32 FUNCTION RMC_SETDAXMAXVALUE( ;        // RMC_SetDAXMaxValue
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  nMaxValue AS DOUBLE, ;
                  nAxisIndex AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 
                  
DLL32 FUNCTION RMC_SETDAXMINVALUE( ;        // RMC_SetDAXMinValue
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  nMinValue AS DOUBLE, ;
                  nAxisIndex AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 
                  
DLL32 FUNCTION RMC_SETDAXTEXT( ;            // RMC_SetDAXText
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  sText AS LPSTR, ;
                  nAxisIndex AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 
                  
DLL32 FUNCTION RMC_SETDAXTEXTCOLOR( ;       // RMC_SetDAXTextColor
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  nColor AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 
                  
DLL32 FUNCTION RMC_SETDAXTICKCOUNT( ;       // RMC_SetDAXTickcount
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  nTickCount AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 
                  
DLL32 FUNCTION RMC_SETDAXUNIT( ;            // RMC_SetDAXUnit
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  sUnit AS LPSTR, ;
                  nAxisIndex AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETGRIDBGCOLOR( ;        // RMC_SetGridBGColor
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  nColor AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETGRIDBICOLOR( ;        // RMC_SetGridBiColor
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  nBiColor AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETGRIDGRADIENT( ;       // RMC_SetGridGradient
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  nHasGradient AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETGRIDMARGIN( ;         // RMC_SetGridMargin
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  nLeft AS LONG, ;
                  nTop  AS LONG, ;
                  nWidth AS LONG, ;
                  nHeight AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETHELPINGGRID( ;        // RMC_SetHelpingGrid
                  nCtrlID AS LONG, ;
                  nSize AS LONG, ;
                  nGridColor AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETLAXALIGNMENT( ;       // RMC_SetLAXAlignment
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  nAlignment AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETLAXCOUNT( ;           // RMC_SetLAXCount
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  nLabelAxisCount AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETLAXFONTSIZE( ;        // RMC_SetLAXFontSize
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  nFontSize AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETLAXLABELALIGNMENT( ;  // RMC_SetLAXLabelAlignment
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  nAlignment AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETLAXLABELS( ;          // RMC_SetLAXLabels
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  sLabels AS LPSTR ;
                  ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETLAXLABELSFILE( ;      // RMC_SetLAXLabelsFile
                  nCtrlId AS LONG, ;
                  nRegion AS LONG, ;
                  sFileName AS LPSTR, ;
                  sLines AS LPSTR, ;
                  sFields AS LPSTR, ;
                  sFieldDelimiter AS LPSTR ;
                  ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETLAXLABELSRANGE( ;     // RMC_SetLAXLabelsRange
                  nCtrlId AS LONG, ;
                  nRegion AS LONG, ;
                  nFirst AS LONG, ;
                  nLast AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETLAXLINECOLOR( ;       // RMC_SetLAXLineColor
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  nColor AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETLAXLINESTYLE( ;       // RMC_SetLAXLineStyle
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  nStyle AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETLAXTEXT( ;            // RMC_SetLAXText
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  sText AS LPSTR ;
                  ) AS LONG PASCAL LIB hRmcDll 
                  
DLL32 FUNCTION RMC_SETLAXTEXTCOLOR( ;       // RMC_SetLAXTextColor
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  nColor AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETLAXTICKCOUNT( ;       // RMC_SetLAXTickCount
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  nTickCount AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 
                  
DLL32 FUNCTION RMC_SETLEGENDALIGNMENT( ;    // RMC_SetLegendAlignment
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  nAlignment AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETLEGENDBGCOLOR( ;      // RMC_SetLegendBGColor
                 nCtrlID AS LONG, ;
                 nRegion AS LONG, ;
                 nColor AS LONG ;
                 ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETLEGENDFONTBOLD( ;     // RMC_SetLegendFontBold
                 nCtrlID AS LONG, ;
                 nRegion AS LONG, ;
                 nFontBold AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETLEGENDFONTSIZE( ;     // RMC_SetLegendFontSize
                 nCtrlID AS LONG, ;
                 nRegion AS LONG, ;
                 nFontSize AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETLEGENDHIDE( ;         // RMC_SetLegendHide
                 nCtrlID AS LONG, ;
                 nRegion AS LONG, ;
                 nHide AS LONG ;
                 )  AS LONG PASCAL LIB hRmcDll 
                  
DLL32 FUNCTION RMC_SETLEGENDSTYLE( ;        // RMC_SetLegendStyle
                 nCtrlID AS LONG, ;
                 nRegion AS LONG, ;
                 nStyle AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETLEGENDTEXT( ;         // RMC_SetLegendText
                 nCtrlID AS LONG, ;
                 nRegion AS LONG, ;
                 sLegendText AS LPSTR ;
                 ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETLEGENDTEXTCOLOR( ;    // RMC_SetLegendTextColor
                 nCtrlID AS LONG, ;
                 nRegion AS LONG, ;
                 nColor AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETREGIONFOOTER( ;       // RMC_SetRegionFooter
                 nCtrlID AS LONG, ;
                 nRegion AS LONG, ;
                 sFooter AS LPSTR ;
                  ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETREGIONMARGIN( ;       // RMC_SetRegionMargin
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  nLeft AS LONG, ;
                  nTop  AS LONG, ;
                  nWidth AS LONG, ;
                  nHeight AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 
                  
DLL32 FUNCTION RMC_SETREGIONBORDER( ;       // RMC_SetRegionBorder
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  nShowBorder AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETRMCFILE( ;            // RMC_SetRMCFile
                  nCtrlID AS LONG, ;
                   sRMCFile AS LPSTR ;      
                  ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETSERIESCOLOR( ;        // RMC_SetSeriesColor
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  nSeries AS LONG, ;
                  nColor AS LONG, ;
                  nIndex AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETSERIESEXPLODEMODE( ;  // RMC_SetSeriesExplodeMode
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  nSeries AS LONG, ;
                  nExplodeMode AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETSERIESDATA( ;         // RMC_SetSeriesData
                 nCtrlId AS LONG, ;
                 nRegion AS LONG, ;
                 nSeries AS LONG, ;
                 @nData AS PTR, ;    // DOUBLE 
                 nDataCount AS LONG, ;                     
                 nYData AS LONG ;
                 ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETSERIESDATAFILE( ;     // RMC_SetSeriesDataFile
                 nCtrlId AS LONG, ;
                 nRegion AS LONG, ;
                 nSeries AS LONG, ;
                 sFileName AS LPSTR, ;
                 sLines AS LPSTR, ;
                 sFields AS LPSTR, ;
                 sFieldDelimiter AS LPSTR, ;
                 nYData AS LONG ;
                 ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETSERIESDATARANGE( ;    // RMC_SetSeriesDataRange
                 nCtrlId AS LONG, ;
                 nRegion AS LONG, ;
                 nSeries AS LONG, ;
                 nFirst AS LONG, ;
                 nLast AS LONG ;
                 ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETSERIESSINGLEDATA( ;   // RMC_SetSeriesSingleData
                 nCtrlId AS LONG, ;
                 nRegion AS LONG, ;
                 nSeries AS LONG, ;
                 nData AS DOUBLE, ;
                 nDataIndex AS LONG, ;                     
                 nYData AS LONG ;
                 ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETSERIESSTARTANGLE( ;   // RMC_SetSeriesStartAngle
                 nCtrlID AS LONG, ;
                 nRegion AS LONG, ;
                 nSeries AS LONG, ;
                 nStartAngle AS LONG ;
                 ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETSERIESDATAAXIS( ;     // RMC_SetSeriesDataAxis
                 nCtrlId AS LONG, ;
                 nRegion AS LONG, ;
                 nSeries AS LONG, ;
                 nWhichAxis AS LONG ;
                 ) AS LONG PASCAL LIB hRmcDll 
                 
DLL32 FUNCTION RMC_SETSERIESHATCHMODE( ;    // RMC_SetSeriesHatchMode
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  nSeries AS LONG, ;
                  nHatchMode AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 
                  
DLL32 FUNCTION RMC_SETSERIESHIDE( ;         // RMC_SetSeriesHide
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  nSeries AS LONG, ;
                  nHide AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 
                  
DLL32 FUNCTION RMC_SETSERIESLINESTYLE( ;    // RMC_SetSeriesLinestyle
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  nSeries AS LONG, ;
                  nLinestyle AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 
                  
DLL32 FUNCTION RMC_SETSERIESLUCENT( ;       // RMC_SetSeriesLucent
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  nSeries AS LONG, ;
                  nLucent AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETSERIESPPCOLUMN( ;     // RMC_SetSeriesPPColumn
                 nCtrlID AS LONG, ;
                 nRegion AS LONG, ;
                 nSeries AS LONG, ;
                 nPointsPerColumn AS LONG ;
                 ) AS LONG PASCAL LIB hRmcDll 
                 
DLL32 FUNCTION RMC_SETSERIESPPCOLUMNARRAY(; // RMC_SetSeriesPPColumnArray
                 nCtrlID AS LONG, ;
                 nRegion AS LONG, ;
                 nSeries AS LONG, ;
                 @nFirstPPCValue AS PTR, ;  // LONG 
                 nPPCValuesCount AS LONG ;
                 ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETSERIESVERTICAL( ;     // RMC_SetSeriesVertical
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  nSeries AS LONG, ;
                  nVertical AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 
                  
DLL32 FUNCTION RMC_SETSERIESSTYLE( ;        // RMC_SetSeriesStyle
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  nSeries AS LONG, ;
                  nStyle AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETSERIESSYMBOL( ;       // RMC_SetSeriesSymbol
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  nSeries AS LONG, ;
                  nSymbol AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETSERIESVALUELABEL( ;   // RMC_SetSeriesValuelabel
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  nSeries AS LONG, ;
                  nValuelabel AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETSERIESXAXIS( ;        // RMC_SetSeriesXAxis
                 nCtrlId AS LONG, ;
                 nRegion AS LONG, ;
                 nSeries AS LONG, ;
                 nWhichXAxis AS LONG ;
                 ) AS LONG PASCAL LIB hRmcDll 
                     
DLL32 FUNCTION RMC_SETSERIESYAXIS( ;        // RMC_SetSeriesYAxis
                 nCtrlId AS LONG, ;
                 nRegion AS LONG, ;
                 nSeries AS LONG, ;
                 nWhichYAxis AS LONG ;
                 ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETSINGLEBARCOLORS ( ;   // RMC_SetSingleBarColors 
                 nCtrlID AS LONG, ;                      
                 nRegion AS LONG, ;
                 @nColor AS PTR, ;   // LONG 
                 nColorCount AS LONG ;
                 ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETTOOLTIPWIDTH( ;       // RMC_SetToolTipWidth
                 nCtrlID AS LONG, ;
                 nWidth AS LONG ;
                 ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETWATERMARK( ;          // RMC_SetWatermark
                  sWaterMark AS LPSTR, ;
                 nWMColor AS LONG, ;
                 nWMLucentValue AS LONG, ;
                 nAlignment AS LONG, ;
                 nFontSize AS LONG ;
                 ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETXAXALIGNMENT( ;       // RMC_SetXAXAlignment
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  nAlignment AS LONG, ;
                  nAxisIndex AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETYAXALIGNMENT( ;       // RMC_SetYAXAlignment
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  nAlignment AS LONG, ;
                  nAxisIndex AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETXAXDECIMALDIGITS( ;   // RMC_SetXAXDecimalDigits
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  nDecimalDigits AS LONG, ;
                  nAxisIndex AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 
                  
DLL32 FUNCTION RMC_SETYAXDECIMALDIGITS( ;   // RMC_SetYAXDecimalDigits
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  nDecimalDigits AS LONG, ;
                  nAxisIndex AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 
                  
DLL32 FUNCTION RMC_SETXAXFONTSIZE( ;        // RMC_SetXAXFontSize
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  nFontSize AS LONG, ;
                  nAxisIndex AS LONG ;
                  ) AS LONGPASCAL LIB hRmcDll 
                  
DLL32 FUNCTION RMC_SETYAXFONTSIZE( ;        // RMC_SetYAXFontSize
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  nFontSize AS LONG, ;
                  nAxisIndex AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETXAXLABELS( ;          // RMC_SetXAXLabels
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  sLabels AS LPSTR, ;
                  nAxisIndex AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETYAXLABELS( ;          // RMC_SetYAXLabels
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  sLabels AS LPSTR, ;
                  nAxisIndex AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 
                  
DLL32 FUNCTION RMC_SETXAXLABELALIGNMENT( ;  // RMC_SetXAXLabelAlignment
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  nLabelAlignment AS LONG, ;
                  nAxisIndex AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETYAXLABELALIGNMENT( ;  // RMC_SetYAXLabelAlignment
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  nLabelAlignment AS LONG, ;
                  nAxisIndex AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETXAXLINECOLOR( ;       // RMC_SetXAXLineColor
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  nColor AS LONG, ;
                  nAxisIndex AS LONG ;                                    
                  ) AS LONG PASCAL LIB hRmcDll 
                  
DLL32 FUNCTION RMC_SETYAXLINECOLOR( ;       // RMC_SetYAXLineColor
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  nColor AS LONG, ;
                  nAxisIndex AS LONG ;                                    
                  ) AS LONG PASCAL LIB hRmcDll 
                 
DLL32 FUNCTION RMC_SETXAXLINESTYLE( ;       // RMC_SetXAXLineStyle
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  nStyle AS LONG, ;
                  nAxisIndex AS LONG ;                                                      
                  ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETYAXLINESTYLE( ;       // RMC_SetYAXLineStyle
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  nStyle AS LONG, ;
                  nAxisIndex AS LONG ;                                                      
                  ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETXAXMAXVALUE( ;        // RMC_SetXAXMaxValue
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  nMaxValue AS DOUBLE, ;
                  nAxisIndex AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 
                  
DLL32 FUNCTION RMC_SETYAXMAXVALUE( ;        // RMC_SetYAXMaxValue
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  nMaxValue AS DOUBLE, ;
                  nAxisIndex AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETXAXMINVALUE( ;        // RMC_SetXAXMinValue
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  nMinValue AS DOUBLE, ;
                  nAxisIndex AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 
                  
DLL32 FUNCTION RMC_SETYAXMINVALUE( ;        // RMC_SetYAXMinValue
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  nMinValue AS DOUBLE, ;
                  nAxisIndex AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETXAXTEXT( ;            // RMC_SetXAXText
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  sText AS LPSTR, ;
                  nAxisIndex AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETYAXTEXT( ;            // RMC_SetYAXText
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  sText AS LPSTR, ;
                  nAxisIndex AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETXAXTEXTCOLOR( ;       // RMC_SetXAXTextColor
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  nColor AS LONG, ;
                  nAxisIndex AS LONG ;                  
                  ) AS LONG PASCAL LIB hRmcDll 
                  
DLL32 FUNCTION RMC_SETYAXTEXTCOLOR( ;       // RMC_SetYAXTextColor
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  nColor AS LONG, ;
                  nAxisIndex AS LONG ;                  
                  ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETXAXTICKCOUNT( ;       // RMC_SetXAXTickcount
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  nTickCount AS LONG, ;
                  nAxisIndex AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 
                
DLL32 FUNCTION RMC_SETYAXTICKCOUNT( ;       // RMC_SetYAXTickcount
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  nTickCount AS LONG, ;
                  nAxisIndex AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 
                  
DLL32 FUNCTION RMC_SETXAXUNIT( ;            // RMC_SetXAXUnit
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  sUnit AS LPSTR, ;
                  nAxisIndex AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SETYAXUNIT( ;            // RMC_SetYAXUnit
                  nCtrlID AS LONG, ;
                  nRegion AS LONG, ;
                  sUnit AS LPSTR, ;
                  nAxisIndex AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SHOWTOOLTIPS( ;          // RMC_ShowToolTips
                 nCtrlID AS LONG, ;
                 nX AS LONG, ;
                 nY AS LONG ;
                 ) AS LONG PASCAL LIB hRmcDll 

// These 3 functions need work - how to handle the arrays properly...
/*
DLL32 FUNCTION RMC_SPLIT( ;                 // RMC_Split
                 sData AS STRING, ;
                 asData[] AS LPSTR ;
                 ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_SPLIT2DOUBLE( ;          // RMC_Split2Double
                 sData AS STRING, ;
                 aData[] AS DOUBLE ;
                 ) AS LONG PASCAL LIB hRmcDll 
                 
DLL32 FUNCTION RMC_SPLIT2LONG( ;            // RMC_Split2Long
                 sData AS STRING, ;
                 aData[] AS LONG ;
                 ) AS LONG PASCAL LIB hRmcDll 
*/

DLL32 FUNCTION RMC_WRITERMCFILE( ;          // RMC_WriteRMCFile
                 nCtrlID AS LONG, ;
                 @sFileName AS LPSTR ;
                 ) AS LONG PASCAL LIB hRmcDll 

DLL32 FUNCTION RMC_ZOOM( ;                  // RMC_Zoom
                  nCtrlID AS LONG, ;
                  nMode AS LONG, ;
                  nColor AS LONG, ;
                  nLineColor AS LONG, ;
                  nTransparency AS LONG ;
                  ) AS LONG PASCAL LIB hRmcDll 

//--------------------------------------------------------------------------//
